%global commit 	a294673607e84d59b679d80d6746dbb2032288b2
%global ver	3.0.0-beta5
%global gitdate 20210516
%global here_version %%(echo %{ver} | tr '-' '_')
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:		REDasm
Version:	%{here_version}
Release:	1.%{gitdate}git%{shortcommit}%{?dist}
Summary:	REDasm is a cross platform disassembler with a modern codebase useful from the hobbyist to the professional reverse engineer.

License:	GPLv3
Source0:	REDasm-%{ver}.tar.gz

BuildRequires:	cmake
BuildRequires:	qt5-qtx11extras-devel
BuildRequires:	gcc-c++
#Requires:	

%description
REDasm is a cross platform disassembler with a modern codebase useful from the hobbyist to the professional reverse engineer.
All features are provided by LibREDasm which loads plugins developed in C, C++ and Python3 (you can also support new languages if you want!) and an user friendly Qt frontend.
LibREDasm also provides a plain C API for maximum ABI compatibility along with a C++17 core.

%package	devel
Summary:	Header files to develop REDasm applications

%description    devel
REDasm is a cross platform disassembler with a modern codebase useful from the hobbyist to the professional reverse engineer.
All features are provided by LibREDasm which loads plugins developed in C, C++ and Python3 (you can also support new languages if you want!) and an user friendly Qt frontend.
LibREDasm also provides a plain C API for maximum ABI compatibility along with a C++17 core.


%prep
%setup -q -n %{name}


%build
mkdir build && cd build
%cmake ..
cmake --build . -j2 --config Release -DCMAKE_C_FLAGS_RELEASE:STRING=-DNDEBUG -DCMAKE_CXX_FLAGS_RELEASE:STRING=-DNDEBUG -DCMAKE_Fortran_FLAGS_RELEASE:STRING=-DNDEBUG -DCMAKE_VERBOSE_MAKEFILE:BOOL=ON -DCMAKE_INSTALL_PREFIX:PATH=/usr -DINCLUDE_INSTALL_DIR:PATH=/usr/include -DLIB_INSTALL_DIR:PATH=/usr/lib64 -DSYSCONF_INSTALL_DIR:PATH=/etc -DSHARE_INSTALL_PREFIX:PATH=/usr/share -DLIB_SUFFIX=64 -DBUILD_SHARED_LIBS:BOOL=ON 


%install
%{__rm} -rf %{buildroot}
cd build
cmake --install . --prefix %{buildroot}/usr --config Release --config Release -DCMAKE_C_FLAGS_RELEASE:STRING=-DNDEBUG -DCMAKE_CXX_FLAGS_RELEASE:STRING=-DNDEBUG -DCMAKE_Fortran_FLAGS_RELEASE:STRING=-DNDEBUG -DCMAKE_VERBOSE_MAKEFILE:BOOL=ON -DCMAKE_INSTALL_PREFIX:PATH=/usr -DINCLUDE_INSTALL_DIR:PATH=/usr/include -DLIB_INSTALL_DIR:PATH=/usr/lib64 -DSYSCONF_INSTALL_DIR:PATH=/etc -DSHARE_INSTALL_PREFIX:PATH=/usr/share -DLIB_SUFFIX=64 -DBUILD_SHARED_LIBS:BOOL=ON
rm %{buildroot}%{_datadir}/redasm/FindREDasm.cmake

%clean
%{__rm} -rf %{buildroot}

%files
%doc CHANGELOG.md README.md
%defattr(0644,root,root,0755)
%attr(0755,root,root) %{_bindir}/*
%attr(0755,root,root) %{_libdir}/Lib*.so
%dir %{_datadir}/redasm
%{_datadir}/redasm/*

%files devel
%{_includedir}/rdapi


%changelog
* Mon Feb 14 2022 Luigi Iotti - 3.0.0-beta5
- Initial build
